Class | Settings::Setting
In: | lib/facets/more/settings.rb
Parent: | Object

A datastructure to store Settings metadata.

Please note the difference between :default and :value, :default does NOT override :value.

### Methods

new to_s update

### Attributes

name | [RW] |
options | [RW] |
owner | [RW] |
type | [RW] |
value | [RW] |

### Public Class methods

new(owner, name, options)

### Public Instance methods

to_s()

Text representation of this setting.

update(hash)

Update the setting from an options hash. The update does NOT take default values into account!

[Validate]